Page MenuHomeFreeBSD

Make sure the 'struct tcp_info' is stable
AcceptedPublic

Authored by trasz on Nov 6 2019, 8:55 PM.

Details

Reviewers
lutz_donnerhacke.de
imp
rrs
Group Reviewers
transport
Summary

Make sure the size of 'struct tcp_info' doesn't change, to avoid
inadvertently breaking the API.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 27380
Build 25627: arc lint + arc unit

Event Timeline

trasz created this revision.Nov 6 2019, 8:55 PM
trasz added a comment.Nov 7 2019, 6:21 PM

(Tinderboxed.)

imp accepted this revision.Nov 19 2019, 3:38 PM

If we are nailing this struct down, this does that.

This revision is now accepted and ready to land.Nov 19 2019, 9:45 PM
rrs accepted this revision.Nov 21 2019, 8:08 PM